ASN1T61String (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1

## Class ASN1T61String

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1T61String

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable
  Direct Known Subclasses:
    DERT61String

      public abstract class ASN1T61String
      extends ASN1Primitive
      implements ASN1String

  ASN.1 T61String (also the teletex string), try not to use this if you don't need to. The standard support the encoding for this has been withdrawn.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1T61String` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return an T61 String from a tagged object.
    `static ASN1T61String` | `getInstance(java.lang.Object obj)` Return a T61 string from the passed in object.
    `byte[]` | `getOctets()` Return the encoded string as a byte array.
    `java.lang.String` | `getString()` Decode the encoded string and return it, 8 bit encoding assumed.
    `static ASN1T61String` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ASN1T61String getInstance(java.lang.Object obj)

      Return a T61 string from the passed in object.
      Parameters:
        `obj` - an ASN1T61String or an object that can be converted into one.
      Returns:
        an ASN1T61String instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static ASN1T61String getInstance(ASN1TaggedObject taggedObject,
                                                  boolean declaredExplicit)

      Return an T61 String from a tagged object.
      Parameters:
        `taggedObject` - the tagged object holding the object we want
        `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        an ASN1T61String instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getTagged

          public static ASN1T61String getTagged(ASN1TaggedObject taggedObject,
                                                boolean declaredExplicit)

    - #### getString

          public final java.lang.String getString()

      Decode the encoded string and return it, 8 bit encoding assumed.
      Specified by:
        `getString` in interface `ASN1String`
      Returns:
        the decoded String

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOctets

          public final byte[] getOctets()

      Return the encoded string as a byte array.
      Returns:
        the actual bytes making up the encoded body of the T61 string.

    - #### hashCode

          public final int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`